## rtpjpegpay rtpjpegpay |

## Properties

gint | quality | Read / Write
gint | type | Read / Write

## Types and Values

struct | GstRtpJPEGPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpJPEGPay

## Description

Payload encode JPEG pictures into RTP packets according to RFC 2435. For detailed information see: http://www.rfc-editor.org/rfc/rfc2435.txt

The payloader takes a JPEG picture, scans the header for quantization tables (if needed) and constructs the RTP packet header followed by the actual JPEG entropy scan.

The payloader assumes that correct width and height is found in the caps.

## Synopsis

### Element Information

plugin | rtp
author | Axis Communications <dev-gstreamer@axis.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg
| video/x-jpeg

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)26, clock-rate=(int)90000, encoding-name=(string)JPEG, width=(int)[ 1, 65536 ], height=(int)[ 1, 65536 ]
| application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)JPEG, width=(int)[ 1, 65536 ], height=(int)[ 1, 65536 ]

## Functions

## Types and Values

### struct GstRtpJPEGPay

    struct GstRtpJPEGPay;

## Property Details

### The `“quality”` property

      “quality”                  gint

Quality factor on JPEG data (unused).

Flags: Read / Write

Allowed values: [0,255]

Default value: 255

### The `“type”` property

      “type”                     gint

Default JPEG Type, overwritten by SOF when present.

Flags: Read / Write

Allowed values: [0,255]

Default value: 1